LimitIterator::valid
ParentIterator::getChildren
Iterators
PHP Manual

# The ParentIterator class

## Введение

...

## Class synopsis

ParentIterator
ParentIterator extends RecursiveFilterIterator implements RecursiveIterator , OuterIterator , Traversable , Iterator {
/* Methods */
ParentIterator getChildren ( void )
bool hasChildren ( void )
void next ( void )
void rewind ( void )
}

## Содержание

- ParentIterator::getChildren — Return the inner iterator's children contained in a ParentIterator
- ParentIterator::hasChildren — Check whether the inner iterator's current element has children
- ParentIterator::next — Move the iterator forward
- ParentIterator::rewind — Rewind the iterator

LimitIterator::valid
ParentIterator::getChildren
Iterators
PHP Manual